 html, body {
	overflow: hidden;
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0;
	display:block;
	font-weight: 200;
	font-family: "Open Sans", "PT Sans", sans-serif;
	box-sizing: border-box;
	background-color: #000;
}

a {
	color: #278ab0;
	font-weight: 400;
}

a:hover {
	color: #1dc690;
}

/* Initial loading screen */
#loadingScreen {
    position: fixed;
	left: 0px;
	top: 0px;
	width: 100%;
	background: #e6ebef;
	color: #1c4670;
	font-weight: 400;
	z-index:100;
	padding:24px;
}

/* canvas to render BJS content in */
#renderCanvas {
	width: 100%;
	height: 100vh;
	touch-action: none;
}

/* optional buttons - possibility to hide them, e.g. certainty */
.btn-optional {
	/*display:none;*/
}
/* debug buttons / experimental functions, which can be hidden or shown */
.btn-debug {
	display:none;
}

/* selected button in top menu bar */
.btnIsSelected {
	font-weight: 600;
}

/* custom, smaller bootstrap buttons */
.btn-sm {
	padding-bottom: 3px;
    border-width: 0px;
}

.btn-x-sm {
	padding-bottom: 0px;
	padding-top:0px;
    border-width: 0px;
}

.btn-sm:hover {
	background-color: #1dc690;
}

/* object edit button / close button (inspector tab) [][X][] */ 
.btn-object-edit {
	top: 2vh;
    right: 4em;
    position: absolute;
}

.btn-object-close {
	top: 2vh;
    right: 1.5em;
    position: absolute;
}

/*dropdown item in menu*/
.dropdown-item:hover {
	background-color: #e6ebef;

}

/* font weights */
.mediumText {
	font-weight: 400;
} 

.boldText {
	font-weight: 600;
} 

/*bootstrap standard buttons*/
.btn { 
	font-weight: 400;
	font-size: 10pt;
}

/* accordeon button text */
.btn-link {
	color: #278ab0;
	padding-left: 0.8vw;
	padding-bottom: .18rem;
}

.btn.focus, .btn:focus {
    outline: 0;
	border-radius: 0px;
    box-shadow: 0 0 0 2px #4e6f912e;
	text-decoration:none;
}

.btn-link:hover {
	color: #1dc690;
	text-decoration: none;
}

/*sidebar navigation (icons) right-hand side [][][X] */
#columnSidebarNav {
	background-color: #4D6F91;
	padding-left: 3vh;
}

.jumbotron{
	background-color:#4D6F91;
	color:white;
	margin-bottom:0px;
	padding: 0.4em;
}

.navbar{
	position:absolute;
	opacity:0.5;
	margin-left:8px;
	left: 2vw;
	top: 2.5vh;
	padding: 0 0 0 0;
}

/*general tab setting: for scrolling*/
.tab-pane{
	width:100%;
  }

.dropdown-item{
	font-size: 10pt;
}

/* main content / sidebar */
/*remove spacing left of sidebar*/
.col, .col-md-4, .col-lg-3 {
	padding-right:0px;
	padding-left:0px;
}

#columnSidebar {
	height: 100vh;
	background-color: white;
	overflow-y: auto;
	display: none;
}

/* <ul> list with objects in the scene, possible to filter. Uses func. filterObjects() */
#objectList {
	width: 100%;
}

/* button to hide sidebar, align at bottom */
#toggleSidebarHiddenTab {
	position:absolute; 
	bottom:3vh;
}

.card {
	font-size: 10pt;
	border-width: 0pt;
	background-color:#fff;
	/*margin:0px;*/
}

.card-title {
	font-size: 12pt;
	font-weight: 400;
	margin-bottom: 0rem;
	color: #222
}

/* set max width for infocard title (sidebar display)*/
.card-title-width {
	max-width: 66%;
}

.card-body {
	padding-top:2.5vh;
	padding-bottom:0rem;
}

.card-text {
	margin-top: 1.5vh;
	margin-bottom: 2.5vh;
	background-color: #fff;
	border-radius: 0.25em;
}

.card-text-accordeon {
	margin-top: 0.5rem;
	margin-bottom: 0.5rem;
	padding-left: 0.8vw;
	padding-right: 0.8vw;
}

.card-text-accordeon:last-child {
	margin-bottom: 0.6rem;
}

.card-img {
	margin-top: 3.5vh;
	margin-left: 1.25rem;
	margin-right: 1.25rem;
	width: 89%;
}

.card-img-accordeon {
	margin-top: 1em;
	margin-bottom: 0.5em;
	padding-left: 0.8vw;
	width: 96%;
}

/*do not display img carousel until contents have been loaded*/
#imgCarousel {
	display: none;
}

/*list item in image list*/
.imgListItem {
	padding: 2px 2px 2px 2px;
}

.card-img-caption {
	margin-top: 1vh;
	line-height: 0.9rem;
}

.card-header {
	padding: 0vw; 
	margin: 0px; 
	border-width: 0px;
}

/* line under accordeon */
.accordion > .card > .card-header {
	border-bottom-width: 2px;
	border-bottom-color: white;
	margin-bottom:0px;
	border-radius:2px;
}

/* Carousel icon overrides */ 
.carousel-control-next-icon, .carousel-control-prev-icon {
	width: 35px;
	height: 35px;
	filter: drop-shadow(0 0 0.5rem black);
}

/* line under accordeon */
.accordion > .card > .card-header:hover {
	border-bottom-color: #1dc690;
}

.accordeon-content {
	padding-left: 0.8vw;
	padding-right: 0.8vw;
}

.chevronStyle {
	float: right;
	margin-top: 3px;
}

/* standard colors */
.bg-accordeon {
	background-color: #fafafa;
}

.bg-accordeon-header {
	background-color: #eee;
}

.bg-color-one{
	background-color: #1dc690;
}

.bg-color-two{
	background-color: #4D6F91;
}

.bg-color-three{
	background-color: #278ab0;
}

.bg-color-four{
	background-color: #eaeae0;
}

.bg-color-five{
	background-color: #e6ebef;
}

.bg-color-six {
	background-color: #1c4670;
}

/* uncertainty values colors in legend */
.uncertaintyOne {
	color:rgb(101, 184, 101);
}

.uncertaintyTwo {
	color: rgb(230, 233, 44);
}

.uncertaintyThree {
	color: rgb(252, 198, 170); 
}

.uncertaintyFour {
	color: rgb(190, 0, 0);
}

/*img gallery layout*/
/* Create four equal columns that sit next to each other */
/* https://css-tricks.com/seamless-responsive-photo-grid/ */
#photos {
	/* Prevent vertical gaps */
	line-height: 0;

	-webkit-column-count: 5;
	-webkit-column-gap:   0px;
	-moz-column-count:    5;
	-moz-column-gap:      0px;
	column-count:         5;
	column-gap:           0px;  
  }
  
  #photos img {
	/* Just in case there are inline attributes */
	width: 100% !important;
	height: auto !important;
  }

/*progress bar bg color*/
.bg-gray {
	background-color: #aebac0;
}

/*info button for tooltip */
.info-button {
	color: gray;
}

.progress {
	width: 100px;
	height: 20px;
}

/*tabs (look like pills) [][][X]*/
.nav-tabs {
	margin-top:2vh;
	margin-bottom:2vh;
	font-weight: 300;
	background-color: #fff;
	/*override bottom border*/
	border-bottom-width: 0px;
}

/*tabs, right side*/
.nav-link {
    display: block;
	padding: .26rem 1.15vw;
	/*margin-left: 0.2vw;*/
	font-size: 2rem; 
	text-align: center; 
	margin-left: -3vh;
}

a.nav-link:hover {
	color: #1dc690;
}


/*tab display [][X][] overrides, do not show border*/
.nav-tabs .nav-link {
	/*border-bottom-color: #eee;*/
	border:0px solid transparent;
	border-radius: .25rem;
	font-size: 10pt;
	margin-left: 0px;
	padding-left: 0.6vw; 
	padding-right: 0.6vw;
	color: #1c4670;
}

/*override default bg color and font color for selected nav-pills*/
/*selected tab [][][X]*/
.nav-pills .nav-link.active, .nav-pills .show { /*> .nav-link {*/
	background-color: #fff;
	color:#4D6F91;
	border-radius: 0px 4px 4px 0px !important;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
	background-color: #eee;
	color: #555;
	padding-bottom: .25rem;
}

/*override default bg color and font color for nav-pills*/
/*unselected tab [][][X]*/
.nav-pills .nav-link { /*> .nav-link {*/
	color:#fff;
}


/*link text in right-most sidebar [][][X] */
.col-sidebar-nav-link-text {
	font-size: 9pt; /*alternatively: 0.9vw*/
	margin-top: -4px;
	width:5vw;
}

/*link text in right-most sidebar [][][X] */
.col-sidebar-nav-link-text .nav-link.active {
	font-size: 9pt; /*alternatively: 0.9vw*/
	margin-top: -4px;
	width:5vw;
	/*color:#222;*/
}

/* remove unwanted grey line */
.list-group-flush > .list-group-item {
    border-width: 0 0 0px;
}

.list-group-item {
	border-width: 0pt;
	margin: 0 0 0 0;
	padding-top: 2vh;
	padding-bottom: 0;
}

#buttonAnnotationGeneral {
	margin-top: 0.6rem;
}

.infoConfidenceNumberDisplay {
	color: black;
}

/*Change the bootstrap tooltip properties here*/
div.tooltip-inner {
	max-width: 350px;
	text-align:left;
}

#tabObject {
	display: none;
}

#tabObjectContent {
	height: 100vh;
}

/* clickable images, for modal popup enlargement */
img {
	cursor: pointer;
	border-radius: 4px;
}

.clickableImg {
	cursor:pointer;
}

/*overwrite modal header properties*/
.modal-header {
	background-color: #4D6F91;
	color: #fff;
	font-weight: 400;
}

#alertAnnotationField {
	cursor:pointer;
}

/* alert primary overwrites */
.alert-primary {
	color: #000;
	background-color: #1dc6903B;
	border-color: #1dc690;
}

/*remove dropdown toggle in dropdown menus*/
.caret-off::before {
    display: none;
}
.caret-off::after {
    display: none;
}
/*specific margin for button icons*/
.menu-icon-styling {
	margin-left:3px;
}

/*style for lists (only in use for list of objects on a floor at the moment*/
#textObjectList ul {
	margin-left: 0px;
	margin-top: 5px;
	padding-left:0px;
	list-style: none;
}

/*style for fps counter*/
#spanFPSLabel {
    position: absolute;
    right: 2.5vw;
    top: 2.5vh;
    color: #fff;
	background-color: #000;
	padding: 6px;
    font-size: 8pt;
	border-radius: 4px;
	cursor: default;
	display: block;
}

/* alert field indicating a (textual or video) filter is active */
.alert-button {
	padding-top: 4px;
    padding-bottom: 3px;
    padding-left: 8px;
    padding-right: 8px;
    font-size: 10pt;
    margin-left: 8px;
	border-radius: 4px;
    cursor: pointer;
    background-color: #1dc690;
    border-color: black;
    color: black;
    font-weight: 400;
	display: none;
}

/*infobox styles(general, guided tours) in bottom right corner of 3D panel [X][][]*/
.alertInfoBox {
	position: absolute;
	bottom: 1.5vh;
	right: 2.5vw;
	opacity: 0.95;
	min-width: 18.5em;
	max-width: 24em;
	display: none;
}

.alertInfoBoxTitle {
    font-weight: 400;
	margin-bottom:0.4em;
}

.alertInfoBoxDescription {
    font-size: 10pt;
}

.float-right {
	float: right;
}

.alertInfoBoxIcon {
	min-width: 1.3em;
}

#spanGuidedTourControls {
	margin-top: 0.6em;
}

/* filter box in object list */
#inputFieldFilterInput {
	background-image: url('../images/search-icon.png'); /* Add a search icon to input */
	background-position: 10px 10px; /* Position the search icon */
	background-size: 25px 25px;
	background-repeat: no-repeat; /* Do not repeat the icon image */
	font-size: 12px; /* Increase font-size */
	padding: 12px 20px 12px 40px; /* Add some padding */
	border: 1px solid #ddd; /* Add a grey border */
	margin-bottom: 5px;
  }

  #viLogo {
	  width: 10vw;
	  bottom:3vh;
	  position: absolute;
	  left: 2.5vw;
	  opacity: 0.7;
	  z-index: 200;
  }

  /*modal close button*/
  .close {
    color: #fff; 
    opacity: 1;
  }
  
  .close:hover {
	color: #1dc690;
  }